Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038504
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajorhave not tried2018-05-08 17:302018-05-15 16:27
Reportercollazoandy4View Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision572d07a10406
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038504: API Change request

DescriptionNew Api Change is requested for an unique constraints that was added to warehouse definition.
Steps To Reproducehttps://ci.openbravo.com/job/try-api/6017 [^]

[checkAPI] 11088 ERROR - +++++++++++++++++++++++++++++++++++++++++++++++++++
 [checkAPI] 11091 ERROR - Errors in API model validation
 [checkAPI] 11095 ERROR - +++++++++++++++++++++++++++++++++++++++++++++++++++
 [checkAPI] 11099 ERROR - Unique constraint added: table: M_WAREHOUSE - Unique constraint: M_WAREHOUSE_VALUE:

ALTER TABLE m_warehouse ADD CONSTRAINT m_warehouse_value UNIQUE(value, ad_client_id);
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0038386 closedAtulOpenbravo Same search key can be used twice in warehouse definition 

-  Notes
(0104522)
hgbot (developer)
2018-05-15 16:24

Repository: erp/devel/api-checks
Changeset: 572d07a104069869dd0a0ae27b00cb9b278dd3cd
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue May 15 16:07:23 2018 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/572d07a104069869dd0a0ae27b00cb9b278dd3cd [^]

Fixes issue 38504: API change for issue 38386

---
M model/src-db/database/model/tables/M_WAREHOUSE.xml
---
(0104525)
aferraz (developer)
2018-05-15 16:27

Reviewed

- Issue History
Date Modified Username Field Change
2018-05-08 17:30 collazoandy4 New Issue
2018-05-08 17:30 collazoandy4 Assigned To => dmitry_mezentsev
2018-05-08 17:30 collazoandy4 Modules => Core
2018-05-08 17:30 collazoandy4 Triggers an Emergency Pack => No
2018-05-08 17:31 collazoandy4 Relationship added depends on 0038386
2018-05-08 17:52 aferraz Relationship replaced blocks 0038386
2018-05-08 18:36 aferraz Category Z. Others => 04. Warehouse management
2018-05-09 12:17 aferraz Steps to Reproduce Updated View Revisions
2018-05-11 10:53 dmitry_mezentsev Tag Attached: Approved
2018-05-11 10:56 dmitry_mezentsev Assigned To dmitry_mezentsev => collazoandy4
2018-05-14 10:16 AtulOpenbravo Status new => scheduled
2018-05-14 10:16 AtulOpenbravo Assigned To collazoandy4 => AtulOpenbravo
2018-05-15 16:24 hgbot Checkin
2018-05-15 16:24 hgbot Note Added: 0104522
2018-05-15 16:24 hgbot Status scheduled => resolved
2018-05-15 16:24 hgbot Resolution open => fixed
2018-05-15 16:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/api-checks/rev/572d07a104069869dd0a0ae27b00cb9b278dd3cd [^]
2018-05-15 16:27 aferraz Review Assigned To => aferraz
2018-05-15 16:27 aferraz Note Added: 0104525
2018-05-15 16:27 aferraz Status resolved => closed
2018-05-15 16:27 aferraz Fixed in Version => 3.0PR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker